com.fasterxml.jackson.jaxrs.json

## Class JsonEndpointConfig

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase<JsonEndpointConfig>
  - - com.fasterxml.jackson.jaxrs.json.JsonEndpointConfig

-     public class JsonEndpointConfig
      extends EndpointConfigBase<JsonEndpointConfig>

  Container class for figuring out annotation-based configuration for JAX-RS end points.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JSONP.Def` | `_jsonp`

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase

      `_activeView, _config, _deserDisable, _deserEnable, _reader, _rootName, _serDisable, _serEnable, _writer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JsonEndpointConfig(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addAnnotation(Class<? extends Annotation> type, Annotation annotation, boolean forWriting)`
    `Object` | `applyJSONP(Object value)` Method that will add JSONP wrapper object, if and as configured by collected annotations.
    `static JsonEndpointConfig` | `forReading(com.fasterxml.jackson.databind.ObjectReader reader, Annotation[] annotations)`
    `static JsonEndpointConfig` | `forWriting(com.fasterxml.jackson.databind.ObjectWriter writer, Annotation[] annotations, String defaultJsonpMethod)`
    `Object` | `modifyBeforeWrite(Object value)`

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase

      `add, getActiveView, getReader, getRootName, getWriter, initReader, initWriter, nullIfEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _jsonp

          protected JSONP.Def _jsonp

  - ### Constructor Detail

    - #### JsonEndpointConfig

          protected JsonEndpointConfig(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

  - ### Method Detail

    - #### forReading

          public static JsonEndpointConfig forReading(com.fasterxml.jackson.databind.ObjectReader reader,
                                      Annotation[] annotations)

    - #### forWriting

          public static JsonEndpointConfig forWriting(com.fasterxml.jackson.databind.ObjectWriter writer,
                                      Annotation[] annotations,
                                      String defaultJsonpMethod)

    - #### addAnnotation

          protected void addAnnotation(Class<? extends Annotation> type,
                           Annotation annotation,
                           boolean forWriting)

      Overrides:
        `addAnnotation` in class `EndpointConfigBase<JsonEndpointConfig>`

    - #### modifyBeforeWrite

          public Object modifyBeforeWrite(Object value)

      Specified by:
        `modifyBeforeWrite` in class `EndpointConfigBase<JsonEndpointConfig>`

    - #### applyJSONP

          public Object applyJSONP(Object value)

      Method that will add JSONP wrapper object, if and as configured by collected annotations.

Copyright © 2016 FasterXML. All rights reserved.